Package wx :: Module html :: Class HtmlHelpController

[frames | no frames]

## Type HtmlHelpController

        object --+
                 |
            Object --+
                     |
    HelpControllerBase --+
                         |
                        HtmlHelpController

Proxy of C++ HtmlHelpController class

Method Summary
HtmlHelpController | `__init__(self, style, parentWindow)`
| `__del__(self)`
bool | `AddBook(self, book, show_wait_msg)`
| `Display(self, x)`
| `DisplayContents(self)`
| `DisplayID(self, id)`
| `DisplayIndex(self)`
Window | `FindTopLevelWindow(self)`
HtmlHelpDialog | `GetDialog(self)`
HtmlHelpFrame | `GetFrame(self)`
HtmlHelpWindow | `GetHelpWindow(self)`
bool | `KeywordSearch(self, keyword)`
| `MakeModalIfNeeded(self)`
| `ReadCustomization(self, cfg, path)`
| `SetHelpWindow(self, helpWindow)`
| `SetTempDir(self, path)`
| `SetTitleFormat(self, format)`
| `UseConfig(self, config, rootpath)`
| `WriteCustomization(self, cfg, path)`

Property Summary
| `Dialog`: See `GetDialog`
| `Frame`: See `GetFrame`
| `HelpWindow`: See `GetHelpWindow` and `SetHelpWindow`
| `thisown`: The membership flag

Property Details

### Dialog

See `GetDialog`

  Get Method:
    `GetDialog`(self)

### Frame

See `GetFrame`

  Get Method:
    `GetFrame`(self)

### HelpWindow

See `GetHelpWindow` and `SetHelpWindow`

  Get Method:
    `GetHelpWindow`(self)
  Set Method:
    `SetHelpWindow`(self, helpWindow)

### thisown

The membership flag

  Get Method:
    unknown--1218963668(...)
  Set Method:
    unknown--1218963612(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:39 2007 | http://epydoc.sf.net